multipath-tools: Replace -fstack-protector with -fstack-protector-strong
authorXose Vazquez Perez <xose.vazquez@gmail.com>
Tue, 6 Dec 2016 01:26:26 +0000 (02:26 +0100)
committerChristophe Varoqui <christophe.varoqui@opensvc.com>
Wed, 14 Dec 2016 18:25:03 +0000 (19:25 +0100)
-fstack-protector-strong
    Like -fstack-protector but includes additional functions to be protected
    --- those that have local array definitions, or have references to local
    frame addresses.

gcc-4.9.0(April 22, 2014) required.

This flag is used by default in Fedora:
https://pagure.io/fesco/issue/1128

Cc: Christophe Varoqui <christophe.varoqui@opensvc.com>
Cc: device-mapper development <dm-devel@redhat.com>
Signed-off-by: Xose Vazquez Perez <xose.vazquez@gmail.com>
Makefile.inc

index e7f4e05..fa3c595 100644 (file)
@@ -63,7 +63,7 @@ INSTALL_PROGRAM       = install
 
 OPTFLAGS       = -O2 -g -pipe -Wall -Wextra -Wformat=2 \
                  -Wno-sign-compare -Wno-unused-parameter -Wno-clobbered \
-                 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector \
+                 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong \
                  --param=ssp-buffer-size=4
 
 CFLAGS         = $(OPTFLAGS) -fPIC -DLIB_STRING=\"${LIB}\" -DRUN_DIR=\"${RUN}\"